Package org.springframework.util

# Interface IdGenerator

All Known Implementing Classes:
  `AlternativeJdkIdGenerator`, `JdkIdGenerator`, `SimpleIdGenerator`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IdGenerator
Contract for generating universally unique identifiers (`UUIDs`).

Since:
  4.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`UUID`
`generateId()`
Generate a new identifier.

## Method Details

### generateId

UUID generateId()
Generate a new identifier.

Returns:
  the generated identifier